<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/color_FF1D2129"
        android:textSize="18sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toStartOf="@id/v_gender"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="Super Beautiful Girl Super Beautiful Girl Super Beautiful Girl" />

    <com.adealink.weparty.module.profile.widget.GenderView
        android:id="@+id/v_gender"
        style="@style/CommonGenderView"
        android:layout_marginEnd="24dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
        app:layout_constraintStart_toEndOf="@id/tv_name"
        app:layout_constraintTop_toTopOf="@id/tv_name" />

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/v_barrier_end"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="start"
        app:constraint_referenced_ids="iv_evaluate_star" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_evaluate_star"
        android:layout_width="18dp"
        android:layout_height="18dp"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintEnd_toStartOf="@id/tv_evaluate"
        app:layout_constraintTop_toTopOf="@id/tv_name"
        app:srcCompat="@drawable/common_evaluate_star_selected_ic" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_evaluate"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF1D2129"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_name"
        tools:text="4.2" />

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/iv_photo"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="9dp"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_name"
        app:roundedCornerRadius="20dp" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_location"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/share_friend_photo_location_bg"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingStart="12dp"
        android:paddingEnd="20dp"
        android:textColor="@color/color_FF4E5969"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/iv_photo"
        app:layout_constraintStart_toStartOf="@id/iv_photo"
        tools:text="Photototjo123ju123l123lk" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_summary"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="14dp"
        android:gravity="start"
        android:includeFontPadding="false"
        android:paddingStart="12dp"
        android:paddingEnd="20dp"
        android:textColor="@color/color_FF4E5969"
        android:textSize="14sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toEndOf="@id/iv_photo"
        app:layout_constraintStart_toStartOf="@id/iv_photo"
        app:layout_constraintTop_toBottomOf="@id/iv_photo"
        tools:text="Hello brother, multiple seasons of S, online，tiple seasons of S, online，" />

</androidx.constraintlayout.widget.ConstraintLayout>